%define name yabause
%define version 0.9.10
%define release %mkrel 1

Summary:        A Sega Saturn emulator
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Emulators
License:        GPLv2+
URL:            http://yabause.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  mesaglut-devel
BuildRequires:  gtk+-devel
BuildRequires:  gtkglext-devel
BuildRequires:  mesaglu-devel
BuildRequires:  libice-devel
BuildRequires:  libxt-devel
BuildRequires:  pkgconfig
BuildRequires:  SDL-devel


%description
Yabause is a Sega Saturn emulator. A popular console of the early 1990s. It
includes an 'emulated' Saturn BIOS which is compatible with at least some games
but optionally a real Saturn BIOS can be used, however it is not included.


%prep
%setup -q


%build
%configure2_5x --with-gtk

%make


%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 src/gtk/%name.png %buildroot/%_liconsdir/%name.png
install -m 644 src/gtk/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 src/gtk/%name.png %buildroot/%_miconsdir/%name.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png



%clean
rm -rf %{buildroot}



%post
%{update_menus}


%postun
%{clean_menus}



%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING GOALS README README.LIN TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.bz2
%{_datadir}/applications/%{name}.desktop
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png

%changelog
* Mon Jun 01 2009 slick50 <lxgator@gmail.com> 0.9.10-1pclos2009
- initial pkg

